Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface Transition

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TransitionImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface Transition

extends Belonging

A named transition from one `state` to another state. The name is generally considered to represent an event. This class is used by the Businsess Smart Workflow generator. The begining state for this transition.

                      startState
     [Transition] <*>------> [State]

The targeted state for this transition.

                      endState
     [Transition] <*>------> [State]

The event that triggers this transition.

                      name
     [Transition] <*>------> [java.lang.String]

See Also
  `TransitionHome`, `TransitionImpl`

Method Summary
`State` | `getEndState()` Deprecated See BEA Commerce product offering
`String` | `getName()` Deprecated See BEA Commerce product offering
`State` | `getStartState()` Deprecated See BEA Commerce product offering
`void` | `setEndState(State endState)` Deprecated See BEA Commerce product offering
`void` | `setName(String name)` Deprecated See BEA Commerce product offering
`void` | `setStartState(State startState)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getStartState

    State getStartState()

  Deprecated See BEA Commerce product offering

  Get the value of startState

  Returns
    startState.

### setStartState

    void setStartState(State startState)

  Deprecated See BEA Commerce product offering

  Set the value of startState

  Parameters
    `startStates` - startState to be added

### getEndState

    State getEndState()

  Deprecated See BEA Commerce product offering

  Get the value of endState

  Returns
    endState.

### setEndState

    void setEndState(State endState)

  Deprecated See BEA Commerce product offering

  Set the value of endState

  Parameters
    `endStates` - endState to be added

### getName

    String getName()

  Deprecated See BEA Commerce product offering

  Get the value of name

  Returns
    name.

### setName

    void setName(String name)

  Deprecated See BEA Commerce product offering

  Set the value of name

  Parameters
    `names` - name to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved